import Toast from "components/Toast";
import { commitStore, route } from "stores";

(async () => {

  const commits = (await fetch("build/commits.json").then(res => res.json())).map(c => {
    c.date = Date.parse(c.date);
    return c;
  })


  commitStore.set(commits);

  let currentCommit = localStorage.getItem("currentCommit");
  if (!currentCommit) currentCommit = commits[0].id;
  localStorage.setItem("currentCommit", currentCommit);

  let reachedCurrentCommit = false;
  const newCommits = commits.filter((commit) => {
    return (
      commit.subject.startsWith("feat") &&
      commit.subject.replace("feat:", "").length > 3
    );
  }).filter(c => {
    if (reachedCurrentCommit) return false;
    if (c.id === currentCommit) {
      reachedCurrentCommit = true;
      return false;
    }
    return true;
  });

  if (newCommits.length > 1) {
    if (window.location.hash !== "#changelog") {
      if ((await Toast.ask(`✨ There are <b>${newCommits.length}</b> updates ✨.<br>Do you want to see them?`, ["yes", "no"])) === "yes") {
        route.set("changelog")
      }
    }
  }

})();

export default {};